<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiAdmin\Types\Collection;

use KupShop\GraphQLBundle\ApiShared\Types\Collection\CollectionBase;
use KupShop\GraphQLBundle\ApiShared\Types\Product\Producer;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class ProducerCollection extends CollectionBase
{
    /**
     * @Field()
     *
     * @return Producer[]
     */
    public function getItems(): array
    {
        return $this->items;
    }
}
